#include "file.h"
#include <cassert>

// Ajoute en queue de la file d'attente
void push(File& f, Cercle c) {
    assert(f.n < FILE_MAX);
    f.liste[f.n++] = c;
}

// Retire l'element en tete de la file d'attente
Cercle pop(File& f) {
    assert(f.n>0);
    Cercle c = f.liste[0];
    --f.n;
    for(int i=0; i<f.n; i++)
        f.liste[i] = f.liste[i+1];
    return c;
}
